idf_component_register(SRCS 
                        "lgfx.cpp"
                        "main.cpp" 
                    PRIV_REQUIRES 
                        fatfs
                        storage
                        esp_wifi
                        wpa_supplicant
                    INCLUDE_DIRS ".")

fatfs_create_spiflash_image(storage ../storage FLASH_IN_PROJECT PRESERVE_TIME)
